GETBOOTFILE(3)

NAME
getbootfile - get the name of the booted kernel file

LIBRARY
libutil

SYNOPSIS
#include <util.h>
const char *
getbootfile(void);

DESCRIPTION
getbootfile() returns a static pointer to the full path name of the file from which the current kernel was loaded. If it can not be determined, or the file is not ``secure'' (see secure_path(3)), _PATH_UNIX from <paths.h> is returned instead.

SEE ALSO
secure_path(3), sysctl(3)

HISTORY
The getbootfile function call appeared in FreeBSD 2.0 and NetBSD 1.6.